Accept an offer
curl --request POST \
--url https://api.example.com/bulletin-board/offer/{offerId}/accept \
--header 'Content-Type: application/json' \
--data '
{
"customerId": "customer_c194be5e3c3e49a3a8d6d6be6320b14f",
"takerWalletAddress": "0xBa34C2E7aF3Df37842B1A6B382A8c7Dd5c6D2e47"
}
'import requests
url = "https://api.example.com/bulletin-board/offer/{offerId}/accept"
payload = {
"customerId": "customer_c194be5e3c3e49a3a8d6d6be6320b14f",
"takerWalletAddress": "0xBa34C2E7aF3Df37842B1A6B382A8c7Dd5c6D2e47"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
customerId: 'customer_c194be5e3c3e49a3a8d6d6be6320b14f',
takerWalletAddress: '0xBa34C2E7aF3Df37842B1A6B382A8c7Dd5c6D2e47'
})
};
fetch('https://api.example.com/bulletin-board/offer/{offerId}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tokenId": "0xabc1234567890def1234567890abcdef12345678",
"makerWalletAddress": "0x12b5aEDEb98767823Dd473bE7C88A8203FaA7Ee8",
"takerWalletAddress": "0xA74269C3DE980723A1D49a017cBbD1839C41D4e7",
"amount": 5,
"priceInEuro": 250.75,
"status": "OPEN",
"intention": "BUY",
"maker": {
"id": "customer_c7a968e665d9",
"object": "customer",
"verificationStatus": "IN_PROGRESS",
"wallets": [
{
"address": "0x1234567890123456789012345678901234567890",
"object": "wallet",
"balances": {
"token": "0x4dad19801eff64eaaa7c78e466ce3678d0b1fd94",
"total": "1000",
"available": {
"amount": "0"
},
"frozen": {
"amount": "1000"
}
}
}
],
"type": "INDIVIDUAL",
"countryCode": "US",
"hasCompletedMoneriumSetup": true,
"referralCode": "REF123456",
"createdAt": "2023-10-01T12:00:00Z",
"username": "john_doe",
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "+1234567890",
"metadata": {
"userId": "2b634b51-7f4a-470b-9bd6-c7a968e665d9"
},
"address": {
"line1": "1234 Main St",
"line2": "Suite 200",
"city": "Anytown",
"state": "CA",
"postalCode": "12345"
}
},
"taker": {
"id": "customer_c7a968e665d9",
"object": "customer",
"verificationStatus": "IN_PROGRESS",
"wallets": [
{
"address": "0x1234567890123456789012345678901234567890",
"object": "wallet",
"balances": {
"token": "0x4dad19801eff64eaaa7c78e466ce3678d0b1fd94",
"total": "1000",
"available": {
"amount": "0"
},
"frozen": {
"amount": "1000"
}
}
}
],
"type": "INDIVIDUAL",
"countryCode": "US",
"hasCompletedMoneriumSetup": true,
"referralCode": "REF123456",
"createdAt": "2023-10-01T12:00:00Z",
"username": "john_doe",
"name": "John Doe",
"email": "john.doe@example.com",
"phone": "+1234567890",
"metadata": {
"userId": "2b634b51-7f4a-470b-9bd6-c7a968e665d9"
},
"address": {
"line1": "1234 Main St",
"line2": "Suite 200",
"city": "Anytown",
"state": "CA",
"postalCode": "12345"
}
}
}Offers
Accept an offer
Accept an available offer. Once accepted, the trade is executed and the offer is marked as completed.
POST
/
bulletin-board
/
offer
/
{offerId}
/
accept
Accept an offer
Path Parameters
Body
application/json
Response
Offer accepted successfully.
The token that is being offered to be traded for.
Example:
"0xabc1234567890def1234567890abcdef12345678"
The wallet address of the customer who made the offer.
Example:
"0x12b5aEDEb98767823Dd473bE7C88A8203FaA7Ee8"
The wallet address of the customer who accepts the offer (if accepted).
Example:
"0xA74269C3DE980723A1D49a017cBbD1839C41D4e7"
The quantity of tokens involved in the offer.
Example:
5
The total price in euros for the offer.
Example:
250.75
The current status of the offer.
Available options:
OPEN, CANCELLED, FILLED Example:
"OPEN"
The intention of the offer maker.
Available options:
BUY, SELL Example:
"BUY"
The customer who made the offer.
Show child attributes
Show child attributes
The customer who accepted the offer (if accepted).
Show child attributes
Show child attributes
⌘I